PANEL_ITEM_REGISTER_CALLBACK(3)

EXPERIMENTAL_FUNC
panel_item_register_callback - Register a function to be called when a panel item changes.

SYNOPSIS
#include <karma_panel.h>

KCallbackFunc panel_item_register_callback

(KPanelItem item, void (*func) (), void *info)

DESCRIPTION
Register a function to be called when a panel item changes.

item
    The panel item.

func
    The function to be called when the panel item changes. The prototype function is <panel_PROTO_change_func>.

info
    An arbitrary information pointer to pass to <<func>>.

RETURN VALUE
A KCallbackFunc object on success, which may be passed to

Multi-threading Level
Unsafe.

c_unregister_callback
    */ { static char function_name[] = "panel_item_register_callback"; VERIFY_PANELITEM (item); return c_register_callback (&item->change_list, ( flag (*) () ) func, item, info, TRUE, NULL, FALSE, FALSE); } /* End Function panel_item_register_callback */ /* Temporary private functions follow (will probably be made public later) */ static flag _panel_process_command (KControlPanel panel, CONST char *cmd, flag (*unknown_func) (), FILE *fp) /* [PURPOSE] This routine will process a command, using a given control panel.

panel
    The control panel.

cmd The command.

unknown_func
    The function that is called when the command is not understood. If this is NULL, then a message is displayed if the command is not understood. The prototype function is <-panel_PROTO_decode_func->.

fp  Output messages are directed here.

RETURN VALUE
TRUE if more commands should be processed, else FALSE, indicating that the control panel's "exit" command was entered.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/